PRISM=../source-based-install/prism/bin/prism
TIMEOUT=2h #NOTE: timeout is set per props file, not per property!
##GUROBI##
#dining philosophers
echo phil3
timeout $TIMEOUT $PRISM -ex -gurobi phil-nofair/phil-nofair3.nm phil-nofair/phil-nofair3.props > results/phil-nofair3-thinkeat.log
echo phil4
timeout $TIMEOUT $PRISM -ex -gurobi phil-nofair/phil-nofair4.nm phil-nofair/phil-nofair4.props > results/phil-nofair4-thinkeat.log
echo phil5
timeout $TIMEOUT $PRISM -ex -gurobi phil-nofair/phil-nofair5.nm phil-nofair/phil-nofair5.props > results/phil-nofair5-thinkeat.log
#mutex
echo rabin3
timeout $TIMEOUT $PRISM -ex -gurobi rabin/rabin3.nm rabin/rabin3.props > results/rabin3.log
echo rabin4
timeout $TIMEOUT $PRISM -ex -gurobi rabin/rabin4.nm rabin/rabin4.props > results/rabin4.log
timeout $TIMEOUT $PRISM -ex -gurobi rabin/rabin4.nm rabin/rabin4max.props > results/rabin4max.log
#virus
echo virus2
timeout $TIMEOUT $PRISM -ex -gurobi virus/virus2.nm virus/virus2.props > results/virus2.log
echo virus3
timeout $TIMEOUT $PRISM -ex -gurobi virus/virus3.nm virus/virus3.props > results/virus3.log

##LPSOLVE##
#dining philosophers
echo phil3
timeout $TIMEOUT $PRISM -ex phil-nofair/phil-nofair3.nm phil-nofair/phil-nofair3.props > results/phil-nofair3-thinkeat.lpsolve.log
echo phil4
timeout $TIMEOUT $PRISM -ex phil-nofair/phil-nofair4.nm phil-nofair/phil-nofair4.props > results/phil-nofair4-thinkeat.lpsolve.log
echo phil5
timeout $TIMEOUT $PRISM -ex phil-nofair/phil-nofair5.nm phil-nofair/phil-nofair5.props > results/phil-nofair5-thinkeat.lpsolve.log
#mutex
echo rabin3
timeout $TIMEOUT $PRISM -ex rabin/rabin3.nm rabin/rabin3.props > results/rabin3.lpsolve.log
echo rabin4
timeout $TIMEOUT $PRISM -ex rabin/rabin4.nm rabin/rabin4.props > results/rabin4.lpsolve.log
timeout $TIMEOUT $PRISM -ex rabin/rabin4.nm rabin/rabin4max.props > results/rabin4max.lpsolve.log
#virus
echo virus2
timeout $TIMEOUT $PRISM -ex virus/virus2.nm virus/virus2.props > results/virus2.lpsolve.log
echo virus3
timeout $TIMEOUT $PRISM -ex virus/virus3.nm virus/virus3.props > results/virus3.lpsolve.log
